<%@ Register TagPrefix="bokai" Namespace="Bokai.Barcodes" Assembly="Bokai.Barcodes" %>
<%@ Page language="c#" Src="LiveWebDemo.aspx.cs" Inherits="WebForm1" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Bokai Barcode.Net Live Demo</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body topmargin="0" bgcolor="#FFFFFF" vlink="#0066FF" link="#0066FF" ulink="#0066FF" alink="#00FF00">
		<table cellspacing="0" cellpadding="0">
		<tr valign="top">
		<td bgcolor="#FFCC00" align="left">
		<font face="verdana,helvetica,arial" size="+1"><i><a href="http://www.bokai.com/">Bokai Corporation</a></i></font>
		</td>
		<td bgcolor="#FFCC00" align="right">
		See Also: <a href="BarcodeAspxSample.htm">Barcode.aspx Sample</a> 
		| <a href="BarcodeHandlerSample.htm">BarcodeHandler Sample</a>
		</td>
		</tr>
		<tr><td colspan="2"><font size="1">&nbsp;</font></td>
		</tr>
		<tr><td colspan="2">
		<h2><a href="http://www.bokai.com/barcode.net.htm">Barcode .Net</a>
			Live Demo
		</h2>
		</td></tr>
		<tr><td colspan="2">
		<bokai:BarcodeImage id="barcodeImage1" runat="server" />
		<br>
		<font size="-1"><i>
		<asp:hyperlink id="barcodeURL" Text="Image URL:" Runat="server" NavigateUrl="" />
		</i></font>
		<br>
		<textarea runat="server" rows="3" id="barcodeUrlArea" readonly wrap="soft" cols="73"></textarea>
		</td></tr>
		</table>
		<asp:label id="Debug" runat="server" Text="" ToolTip="Debug print." Visible="False" />
		<br>
		<form id="barcodeForm" method="post" runat="server">
			<asp:Button id="submitButton1" Text="Regenerate" runat="server" />&nbsp;&nbsp;
			<input type="button" id="resetButton1" OnClick="location=location;" value="Reset">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<i>Generation Method:</i>&nbsp; <asp:dropdownlist id="Generator" runat="server">
					<asp:listitem Selected="True" Value="file">File: Barcode.aspx</asp:listitem>
					<asp:listitem Value="handler">HTTP Handler: BarcodeHandler</asp:listitem>
				</asp:DropDownList>
			<table style="BORDER-COLLAPSE: collapse" cellSpacing="0" border="0">
				<tr valign="top">
					<td>
						<table id="MyList" style="BORDER-COLLAPSE: collapse; BACKGROUND-COLOR: #ccccff" cellSpacing="0" rules="all" border="1">
							<tr style="BACKGROUND-COLOR: #aaaadd">
								<td align="middle">URL Parameter</td>
								<td align="middle">Value</td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label1" runat="server" Text="BarcodeType" ToolTip="Specifies the barcode type for the barcode image to be generated." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="BarcodeType" runat="server">
										<asp:listitem>EAN13</asp:listitem>
										<asp:listitem>EAN8</asp:listitem>
										<asp:listitem>UPCA</asp:listitem>
										<asp:listitem>CODE39CHECK</asp:listitem>
										<asp:listitem>CODABAR</asp:listitem>
										<asp:listitem Selected="True">CODE39</asp:listitem>
										<asp:listitem>C2OF5</asp:listitem>
										<asp:listitem>INTERLEAVED2OF5</asp:listitem>
										<asp:listitem>UPCE</asp:listitem>
										<asp:listitem>EAN13_2</asp:listitem>
										<asp:listitem>EAN13_5</asp:listitem>
										<asp:listitem>EAN8_2</asp:listitem>
										<asp:listitem>EAN8_5</asp:listitem>
										<asp:listitem>UPCA_2</asp:listitem>
										<asp:listitem>UPCA_5</asp:listitem>
										<asp:listitem>UPCE_2</asp:listitem>
										<asp:listitem>UPCE_5</asp:listitem>
										<asp:listitem>EAN128A</asp:listitem>
										<asp:listitem>EAN128B</asp:listitem>
										<asp:listitem>EAN128C</asp:listitem>
										<asp:listitem>CODE93</asp:listitem>
										<asp:listitem>POSTNET</asp:listitem>
										<asp:listitem>CODE128A</asp:listitem>
										<asp:listitem>CODE128B</asp:listitem>
										<asp:listitem>CODE128C</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label2" runat="server" Text="Data" ToolTip="Specifies the barcode data." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="Data" Text="" Runat="server" ToolTip="Any character native to a barcode type (e.g., Code-128) may be entered using the ANSI Western or UNICODE character whose code is that of the native character plus 128."></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label3" Text="AddOnData" Runat="server" ToolTip="Specifies the add-on barcode data if the barcode type has an add-on barcode." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="AddOnData" Text="" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label4" Text="ImageFormat" Runat="server" ToolTip="Specifies the image format the barcode is to be generated in." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="ImageFormat" runat="server">
										<asp:listitem>GIF</asp:listitem>
										<asp:listitem>JPEG</asp:listitem>
										<asp:listitem>PNG</asp:listitem>
										<asp:listitem>TIFF</asp:listitem>
										<asp:listitem>BMP</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label5" Text="BarWidth" Runat="server" ToolTip="Specifies the width of the narrowest barcode bar in pixels; the default is 1. If you specify BarWidth, you should not specify Width at the same time." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="BarWidth" Text="1" Runat="server" Columns="1"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label7" Text="Height" Runat="server" ToolTip="Height of the barcode in pixels." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="Height" Text="40" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label6" Text="Orientation" Runat="server" ToolTip="Specifies the orientation of the barcode." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="Orientation" runat="server">
										<asp:listitem>BottomFacing</asp:listitem>
										<asp:listitem>RightFacing</asp:listitem>
										<asp:listitem>TopFacing</asp:listitem>
										<asp:listitem>LeftFacing</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label8" Text="Transparent" Runat="server" ToolTip="Specifies whether the barcode image generated should be transparent, if the image format used supports transparency." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="Transparent" runat="server">
										<asp:listitem>True</asp:listitem>
										<asp:listitem Selected="True">False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label9" runat="server" Text="Caption" ToolTip="Specifies the barcode caption. This will be used to override the default caption that is typically the barcode data with any native characters removed." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="Caption" Text="" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label10" runat="server" Text="AddOnCaption" ToolTip="Specifies the add-on barcode caption. This will be used to override the default add-on caption that is the add-on barcode data with any native characters removed." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="AddOnCaption" Text="" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label14" Text="TextPosition" Runat="server" ToolTip="Specifies the position and visibility of the barcode caption." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="TextPosition" runat="server">
										<asp:listitem>Above</asp:listitem>
										<asp:listitem Selected="True">Below</asp:listitem>
										<asp:listitem>NotShown</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label15" Text="AddOnTextPosition" Runat="server" ToolTip="Specifies the position and visibility of the add-on barcode caption." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:dropdownlist id="AddOnTextPosition" runat="server">
										<asp:listitem Selected="True">Above</asp:listitem>
										<asp:listitem>Below</asp:listitem>
										<asp:listitem>NotShown</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="InvalidDataAction" id="Label23" ToolTip="Specifies the action to take when the barcode data is invalid." /></td>
								<td><asp:dropdownlist id="InvalidDataAction" runat="server">
										<asp:listitem>DisplayNone</asp:listitem>
										<asp:listitem>DisplayTextOnly</asp:listitem>
										<asp:listitem>DisplayDefaultBarcode</asp:listitem>
										<asp:listitem Selected="True">DisplayInvalid</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
						</table>
					</td>
					<td>
						<table id="MyList2" style="BORDER-COLLAPSE: collapse; BACKGROUND-COLOR: #ccccff" cellSpacing="0" rules="all" border="1">
							<tr style="BACKGROUND-COLOR: #aaaadd">
								<td align="middle">URL Parameter</td>
								<td align="middle">Value</td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label11" runat="server" Text="FontName" ToolTip="Specifies the name of the font used to draw the barcode caption(s), e.g., Times New Roman. The font needs to exist on your server system. Default: Arial." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="FontName" Text="Arial" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label12" runat="server" Text="FontSize" ToolTip="Specifies the size of the font in points used to draw the barcode caption(s), e.g., 10.5. Default: 9." Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:textbox id="FontSize" Text="9" Runat="server"></asp:textbox></td>
							</tr>
							<tr>
								<td align="right"><asp:label id="Label13" Text="FontStyle" Runat="server" ToolTip="Specifies the style of the font used to draw the barcode caption(s)" Font-Italic="True" ForeColor="#0000ff"></asp:label></td>
								<td><asp:ListBox id="FontStyle" runat="server" SelectionMode="Multiple" Rows="5">
										<asp:listitem>Bold</asp:listitem>
										<asp:listitem>Italic</asp:listitem>
										<asp:listitem Selected="True">Regular</asp:listitem>
										<asp:listitem>Strikeout</asp:listitem>
										<asp:listitem>Underline</asp:listitem>
									</asp:ListBox></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="UniBarHeight" id="Label16" ToolTip="Specifies whether to use a single bar length to draw both the long and short bars if applicable." /></td>
								<td><asp:dropdownlist id="UniBarHeight" runat="server">
										<asp:listitem>True</asp:listitem>
										<asp:listitem Selected="True">False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="StretchText" id="Label17" ToolTip="Specifies whether to stretch the barcode caption to fit the full width of the barcode." /></td>
								<td><asp:dropdownlist id="StretchText" runat="server">
										<asp:listitem Selected="True">True</asp:listitem>
										<asp:listitem>False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="ShowCode39StartStop" id="Label18" ToolTip="Specifies whether to use a * to start and end the caption of a Code 39 barcode." /></td>
								<td><asp:dropdownlist id="ShowCode39StartStop" runat="server">
										<asp:listitem Selected="True">True</asp:listitem>
										<asp:listitem>False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="RetainAspectRatio" id="Label19" ToolTip="Specifies whether to adjust proportionally the barcode height when the barcode width is changed due to pixel alignment." /></td>
								<td><asp:dropdownlist id="RetainAspectRatio" runat="server">
										<asp:listitem>True</asp:listitem>
										<asp:listitem Selected="True">False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" Runat="server" Text="UpcSmallFont" id="Label20" ToolTip="Specifies whether to use a smaller font to draw the first and last characters of a UPC barcode caption." /></td>
								<td><asp:dropdownlist id="UpcSmallFont" runat="server">
										<asp:listitem Selected="True">True</asp:listitem>
										<asp:listitem>False</asp:listitem>
									</asp:dropdownlist></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" runat="server" Text="BackColor" id="Label21" ToolTip="Specifies the background color of the barcode image. This may be a known color name like white, blue, etc., or a color value in the #rrggbb format, e.g., #00ff00 for green (when directly used in a URL, # has to be URL-encoded as %23). Default: white." /></td>
								<td><asp:TextBox Runat="server" Text="White" id="BackColor" /></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" runat="server" Text="ForeColor" id="Label22" ToolTip="Specifies the color of the barcode bars and caption(s). This may be a known color name like black, red, etc., or a color value in the #rrggbb format, e.g., #ff0000 for red (when directly used in a URL, # has to be URL-encoded as %23). Default: black." /></td>
								<td><asp:TextBox Runat="server" Text="Black" id="ForeColor" /></td>
							</tr>
							<tr>
								<td align="right"><asp:Label Font-Italic="True" ForeColor="#0000ff" runat="server" Text="ModuleCount" id="Label24" ToolTip="Indicates the minimum possible barcode width in pixels." /></td>
								<td><asp:Label runat="server" Text="" id="ModuleCount" /></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<asp:Button id="submitButton" Text="Regenerate" runat="server" />&nbsp;&nbsp;
			<input type="button" id="resetButton" OnClick="location=location;" value="Reset">
		</form>
	</body>
</HTML>
